sc::LSDACFunctional(3)

NAME
sc::LSDACFunctional - An abstract base class for local correlation functionals.

SYNOPSIS

#include <functional.h>

Inherits sc::DenFunctional.

Inherited by sc::PW92LCFunctional, sc::PZ81LCFunctional, and sc::VWNLCFunctional.

  Public Methods
LSDACFunctional ()
LSDACFunctional (const Ref< KeyVal > &)
LSDACFunctional (StateIn &)
~LSDACFunctional ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void point (const PointInputData &, PointOutputData &)
virtual void point_lc (const PointInputData &, PointOutputData &, double &ec_local, double &decrs, double &deczeta)=0

DETAILED DESCRIPTION

An abstract base class for local correlation functionals.

MEMBER FUNCTION DOCUMENTATION

  void sc::LSDACFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

Reimplemented in sc::VWNLCFunctional.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.